Create Payment Method Token

The creation and usage of tokens in our system adhere to the following guidelines to ensure security and compliance:

  • Credit Card Tokens without CVV: In the absence of a Card Verification Value (CVV), card tokens are generated as multi-use. This is based on the ability to reuse these tokens without the CVV.
  • Credit Card Tokens with CVV: Conversely, when a card token includes a CVV, it must be generated for single-use only. This token is set to expire upon the first transaction or after a 24-hour period. The purpose of this is to align with Payment Card Industry (PCI) compliance rules, which mandate that the CVV should not be stored post-transaction.
  • Loan Tokens : Upon creation, loan tokens are designed to be multi-use. This enables the execution of multiple drawdowns, allowing for flexible and ongoing borrowing transactions.
  • Bank Accounts Upon creation, bankAccount tokens are multi-use. This enables the use of the bank account for multiple transactions.

These guidelines are established to strike a balance between user convenience and stringent security measures.

❗️

PCI Compliance Implications

If you transmit or store full card numbers (PAN) or CVV/CVC data, you are responsible for achieving and maintaining compliance with PCI DSS requirements. You must be prepared to provide a validated Self-Assessment Questionnaire (SAQ) or Attestation of Compliance (AOC) upon request to demonstrate your adherence to the applicable PCI DSS standards​​​.

Body Params
string
enum
required

Type of payment method.

Allowed:
string

First name of payment account holder. This value can be set when creating the token, either directly through the Token API or by using the tokenize parameter with the Transactions API. Any updated values sent in a Payments API request using this token will be stored.

string

Last name of payment account holder. This value can be set when creating the token, either directly through the Token API or by using the tokenize parameter with the Transactions API. Any updated values sent in a Payments API request using this token will be stored.

string

Email address of payment account holder. This value can be set when creating the token, either directly through the Token API or by using the tokenize parameter with the Transactions API. Any updated values sent in a Payments API request using this token will be stored.

string

Phone number of payment account holder. This value can be set when creating the token, either directly through the Token API or by using the tokenize parameter with the Transactions API. Any updated values sent in a Payments API request using this token will be stored.

card
object

Card payment method.

billingAddress
object

The payment account holders billing address. This value is retained from the most recent transaction request in which it was included

bankAccount
object

Bank account payment method.

loan
object

Loan payment method.

string

The Preczn merchant with which the token will be associated. Required for bankAccount and loan token types.

string

ACH mandate text that the customer agreed to, authorizing the ACH debit. Required for ACH transactions with some processors.

string

Business name associated with the bank account. Used for corporate/business ACH transactions.

tptConfig
object

Third-party tokenization configuration. Contains settings used when exporting this token to a destination processor (e.g., shopper reference).

Headers
string

Unique key to ensure idempotency of requests. If provided, the server will return the same response for subsequent requests with the same key.

Responses

400

Request not serviced due to invalid format.

401

Invalid API key.

403

Token creation for the specified merchant is not permitted.

500

Unable to service request due to server-side error. Please reattempt request.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*